echo "Start to install PyTorch."
sudo apt-get update
sudo apt-get install -y wget
sudo apt-get install -y python3-pip libopenblas-base libopenmpi-dev
wget https://nvidia.box.com/shared/static/cs3xn3td6sfgtene6jdvsxlr366m2dhq.whl -O ~/torch-1.7.0-cp36-cp36m-linux_aarch64.whl
pip3 install Cython
pip3 install numpy ~/torch-1.7.0-cp36-cp36m-linux_aarch64.whl
printf "%50s\n" | tr " " "-"

sudo "Start to install PyTorch."
sudo apt-get update
sudo apt-get install -y git
sudo apt-get install -y libjpeg-dev zlib1g-dev libpython3-dev libavcodec-dev libavformat-dev libswscale-dev
cd ~
git clone --branch v0.7.0 https://github.com/pytorch/vision torchvision
cd ~/torchvision
export BUILD_VERSION=0.7.0
python3 setup.py install --user

echo "Start to install Jupyter."
pip3 install --upgrade pip
pip3 install jupyter
mkdir ~/.jupyter
mkdir ~/jupyter
cp test.ipynb ~/jupyter/
cp jupyter_notebook_config.py ~/.jupyter/
cp jupyter.desktop ~/Desktop/
chmod u+x ~/Desktop/jupyter.desktop
printf "%50s\n" | tr " " "-"

